## watchdog 5.14-cl4.3.1u4

=== debian/changelog ===
watchdog (5.14-cl4.3.1u4) RELEASED; urgency=medium

  * new build for 4.3.1 from original hash
    7baf3a8634ce555f76aca31a9412605838a753e5

 -- root <root@3da22e72fb7c>  Wed, 15 Jun 2022 22:45:05 +0000

watchdog (5.14-cl4u1) RELEASED; urgency=medium

   * First 4.0 release

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 30 Sep 2019 15:56:02 -0700

watchdog (5.14-cl3u4) RELEASED; urgency=medium
  * Don't start the wd_keepalive service on systems without watchdog support
    in the kernel.

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 26 Dec 2018 15:34:00 -0800

watchdog (5.14-cl3u3) RELEASED; urgency=medium
  * Add basic.target to dependencies list, so it will run when switchd.service
    is not being run.

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 09 Jul 2018 21:17:00 -0700

watchdog (5.14-cl3u2) RELEASED; urgency=medium
  * Detect and handle systems with multiple watchdogs outside this package.
    It is now handled in cumulus-firstboot.service from cumulus-tools so
    platform-specific modules are loaded when configuring.

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 27 Apr 2016 11:27:52 -0700

watchdog (5.14-cl3u1) unstable; urgency=medium
  * Cumulus Linux Version, ships wd_keepalive modified to have
    some watchdog features, watchdog itself not shipped.
  * Converted completely to systemd

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 12 Jan 2016 10:16:53 -0800

watchdog (5.14-3) unstable; urgency=medium

  * Updated Danish debconf translation.
  * Updated French debconf translation. (Closes: #771273)
  * Added Italian debconf translation. (Closes: #771839)
  * Added Brazilian Portuguese debconf translation. (Closes: #771950)
  * Changed rules file to make sure default file doesn't come back.

 -- Michael Meskes <meskes@debian.org>  Thu, 04 Dec 2014 11:30:30 +0100

watchdog (5.14-2) unstable; urgency=medium

  * Applied upstream change to fix an incorrectly calculated amount of memory
    being used in a test.
  * Make sure /etc/init.d/sendsigs does not kill wd_keepalive. (Closes: #767704)
  * Auto-generated default file from debconf. (Closes: #767644)
  * Changed ordering of unit files to prevent a cycle. (Closes: #768168)

 -- Michael Meskes <meskes@debian.org>  Tue, 04 Nov 2014 16:30:54 +0100

watchdog (5.14-1) unstable; urgency=medium

  * New upstream version. (Closes: #703445, #720501)
  * Bumped Standards-Version to 3.9.6, no changes needed.
  * Made init script cope with more than one module option. (Closes: #719331)

 -- Michael Meskes <meskes@debian.org>  Fri, 17 Oct 2014 22:14:53 +0200

watchdog (5.13-1) unstable; urgency=low

  * New upstream version.
  * Added hardening build flags to Debian build.

 -- Michael Meskes <meskes@debian.org>  Fri, 01 Feb 2013 12:15:10 +0100

watchdog (5.12-1) unstable; urgency=low

  * Fixed copyright notice. (Closes: #664624)
  * Updated package description. (Closes: #663911)

 -- Michael Meskes <meskes@debian.org>  Thu, 05 Apr 2012 12:08:10 +0200

watchdog (5.11-2) unstable; urgency=low

  * Updated Dutch debconf translation. (Closes: #657588)
  * Bumped Standards-Version to 3.9.3 no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sun, 04 Mar 2012 15:32:51 +0100

watchdog (5.11-1) unstable; urgency=low

  * New upstream version fixing the timeout problem causing ping check to fail.
    (Closes: #633528)
  * Added support for "status" action to wd_keepalive init.d script. (Closes:
    #653405) - thanks to Peter Eisentraut <petere@debian.org>

 -- Michael Meskes <meskes@debian.org>  Wed, 28 Dec 2011 11:24:16 +0100

watchdog (5.10-1) unstable; urgency=low

  * New upstream version. (Closes: #597213)
  * Updated Danish debconf translation. (Closes: #650855)
  * Updated package description to better explain what this package is about.
    (Closes: #610271)
  * Bumped Standards-Version to 3.9.2 no changes needed.

 -- Michael Meskes <meskes@debian.org>  Thu, 15 Dec 2011 17:36:21 +0100

watchdog (5.9-1) unstable; urgency=low

  * New upstream version.
  * Fixed check for existance of MAKEDEV. (Closes: #582766) - thanks to Timo
    Juhani Lindfors <timo.lindfors@iki.fi>
  * Added source/format file.

 -- Michael Meskes <meskes@debian.org>  Thu, 17 Jun 2010 17:01:41 +0200

watchdog (5.8-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.8.4 no changes needed.

 -- Michael Meskes <meskes@debian.org>  Mon, 22 Mar 2010 15:29:46 +0100

watchdog (5.7-4) unstable; urgency=low

  * Decreased default interval from 10 seconds to just 1.
  * Disable OOM killer for watchdog and wd_keepalive. In the process also make
    sure that the daemons do not allocate memory once they are in daemon mode
    as a safeguard for systems running out of memory.
  * Fixed typo in init script.

 -- Michael Meskes <meskes@debian.org>  Thu, 11 Feb 2010 15:10:49 +0100

watchdog (5.7-3) unstable; urgency=low

  * Missed one line of Min Zhangg's patch resulting in an incorrect path when
    using log_dir option.

 -- Michael Meskes <meskes@debian.org>  Wed, 13 Jan 2010 09:59:49 +0100

watchdog (5.7-2) unstable; urgency=low

  * Applied patch by Min Zhang <mzhang@mvista.com> to make logdir a
    configurable option.
  * Fixed init scripts to make sure one daemon really has ended before
    the next one is started. (Closes: #554793) - thanks to Tim Small
    <tim@seoss.co.uk>

 -- Michael Meskes <meskes@debian.org>  Sat, 09 Jan 2010 16:32:20 +0100

watchdog (5.7-1) unstable; urgency=low

  * New upstream version including all the changes from the Debian package and
    - Patch by Russell Coker <russell@coker.com.au> to set the socket
      handle for raw socket access to close on exec. (Closes: #552611)
    - Patch by Russell Coker <russell@coker.com.au> to give a
      better error message if no config file is found. (Closes: #563798)

 -- Michael Meskes <meskes@debian.org>  Wed, 06 Jan 2010 13:33:25 +0100

watchdog (5.6-8) unstable; urgency=low


