=== debian/rules ===
#!/usr/bin/make -f

SHELL = /bin/bash
CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -Wno-deprecated-declarations
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

build:	build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: Makefile
	$(checkdir)
	$(MAKE)
	touch build

Makefile:
	CFLAGS="${CFLAGS}" CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}" ./configure --prefix=/usr \
		--with-configfile=/etc/watchdog.conf

clean:	Makefile
	$(checkdir)
	[ ! -f Makefile ] || $(MAKE) distclean
	debconf-updatepo

	dh_clean
	rm -f $(find . -name "*.P")
	rm -rf build-stamp *~ debian/*~ configure-stamp build
	-rm -f debian/watchdog.default

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	dh_clean -k
	dh_installdirs
	dh_installdocs README* watchdog.lsm IAFA-PACKAGE  \
		       include/watch_err.h
	dh_installexamples examples/*
	dh_installchangelogs ChangeLog 
	dh_installdebconf
	$(MAKE) install prefix=$$(pwd)/debian/watchdog/usr \
		CONFIG_FILENAME=$$(pwd)/debian/watchdog/etc/watchdog.conf
	cp -p watchdog.conf debian/watchdog/etc/watchdog.conf
	dh_systemd_enable --name=wd_keepalive wd_keepalive.service
	dh_systemd_start --no-start --name=wd_keepalive
	dh_strip
	dh_compress
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_fixperms
	dh_builddeb

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
