## watchdog 5.16

=== debian/changelog ===
watchdog (5.16-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007529)

 -- Bastian Germann <bage@debian.org>  Thu, 18 Sep 2025 08:25:37 +0200

watchdog (5.16-1.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer permission.
  * Updated Spanish translation (Closes: #1017461)
  * Added Romanian translation (Closes: #1033773)
  * Updated Swedish translation (Closes: #1054614)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 07 Dec 2024 16:01:45 +0100

watchdog (5.16-1) unstable; urgency=medium

  * New upstream version. (Closes: #892715)
  * Updated Portuguese translation (Closes: #873172)
  * Removed ancient packaging cruft.
  * Removed build dependency on dh-systemd (Closes: #958602)

 -- Michael Meskes <meskes@debian.org>  Fri, 03 Jan 2020 14:20:27 +0100

watchdog (5.15-2) unstable; urgency=medium

  * Fix FTCBFS: Let dh_auto_configure pass --host to ./configure
    (Closes: #851231) Thanks to Helmut Grohne <helmut@subdivi.de>
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Enabled bindnow linker flag.

 -- Michael Meskes <meskes@debian.org>  Fri, 20 Jan 2017 13:31:26 +0100

watchdog (5.15-1) unstable; urgency=medium

  * New upstream version.
  * Updated Dutch translation. (Closes: #772760)
  * Updated Russian translation. (Closes: #776125)
  * Updated Japanese translation. (Closes: #815857)
  * Added missing quote to systemd service file. (Closes: #783166, #798294)
  * Use dh_builddeb to build the package. (Closes: #784211, #808692)
  * Re-added Install stanza to service file. (Closes: #793309)

 -- Michael Meskes <meskes@debian.org>  Thu, 21 Jan 2016 22:54:48 +0100
