=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: watchdog
 Section: admin
-Priority: extra
-Maintainer: dev-support <dev-support@cumulusnetworks.com>
-Build-Depends: debhelper (>= 9), po-debconf (>= 0.5.0), dh-systemd (>= 1.5), git
-Standards-Version: 3.9.8
+Priority: optional
+Maintainer: Michael Meskes <meskes@debian.org>
+Build-Depends: debhelper-compat (= 12), po-debconf (>= 0.5.0)
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Homepage: http://watchdog.sourceforge.net
-XS-Build-Source: True
-XS-Cumulus-Valid-Arch: amd64 armel
-XBCS-Vcs-Hash: 7baf3a8634ce555f76aca31a9412605838a753e5
 
 Package: watchdog
 Architecture: any
@@ -25,5 +23,3 @@
  .
  The watchdog tool itself runs several health checks and acts
  appropriately if the system is not in good shape.
-XBCS-Vcs-Hash: 7baf3a8634ce555f76aca31a9412605838a753e5
-
