=== debian/watch ===
version=3
http://sf.net/watchdog watchdog-(.*)\.tar\.gz
